# report.rb

Path: | lib/bio/appl/targetp/report.rb
Last Update: | Thu Nov 19 15:47:02 +0000 2009

# bio/appl/targetp/report.rb - TargetP report class

Copyright: | Copyright (C) 2003 Mitsuteru C. Nakao <n@bioruby.org>
License: | The Ruby License

     $Id: report.rb,v 1.9 2007/04/05 23:35:40 trevor Exp $

## Description

TargetP class for www.cbs.dtu.dk/services/TargetP/

## Example

## References

### Required files

pp

### Methods

hoge

### External Aliases

pp | -> | p

### Public Instance methods

hoge(e)

[Source]

         # File lib/bio/appl/targetp/report.rb, line 233
    233:   def hoge(e)
    234:     puts e
    235:     ent = Bio::TargetP::Report.new(e)
    236:     pp ent
    237:
    238:     p [:entry_id, ent.entry_id]
    239:     p [:name, ent.name]
    240:     p [:version, ent.version]
    241:     p [:query_sequnces, ent.query_sequences]
    242:     p [:cleavage_site_prediction, ent.cleavage_site_prediction]
    243:     p [:networks, ent.networks]
    244:     p [:query_len, ent.query_len]
    245:     p [:prediction, ent.prediction]
    246:     p [:pred_Name, ent.pred['Name']]
    247:     p [:pred_SP, ent.pred['SP']]
    248:     p [:pred_mTP, ent.pred['mTP']]
    249:     p [:cutoff, ent.cutoff]
    250:     p [:loc, ent.loc]
    251:     p [:rc, ent.rc]
    252:
    253:     puts '=='
    254:   end

[Validate]